[beta] Update a Function.

Update an existing Function's description and configuration. The request must include lastUpdateTimestampMs, which is the timestamp value obtained from a previous create or get response. The response includes a URL (uploadPutUrl) for uploading new code. After uploading, call POST /functions/{name}/deploy for the changes to be applied.

Rate limit: 100 requests/min (learn more about rate limits here).

To use this endpoint, select Write Functions under the Functions category when creating or editing an API token. Learn More.

Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.

Path Params
string
required

The name of the Function to update.

Body Params
config
object

Configuration fields to update on the Function. All fields are optional; only provided fields are updated.

string

A description of the Function.

int64
required

Timestamp of the last known update to this Function, obtained from a create or get response. Required to prevent conflicting updates.

Responses

Language
Credentials
Bearer
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json